WebSphereJMSDestination (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSDestination interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJMSDestination

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource

All Known Subinterfaces:
  WebSphereJMSQueue, WebSphereJMSTopic, WebSphereMQJMSDestination, WebSphereMQJMSQueue, WebSphereMQJMSTopic

    public interface WebSphereJMSDestination

extends WebSphereJ2EEResource

Represents a JMS Destination deployed to a WebSphere environment.

Persistable:
  true
Display Name:
  JNDIName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCategory()`
`java.lang.String` | `getExpiry()`
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getMessagePriority()`
`java.lang.String` | `getPersistence()`
`WebSphereJMSProvider` | `getProvider()`
`WebSphereJ2EEResourceProperty[]` | `getResourceProperties()`
`long` | `getSpecifiedExpiry()`
`int` | `getSpecifiedPriority()`
`boolean` | `hasCategory()`
`boolean` | `hasExpiry()`
`boolean` | `hasJNDIName()`
`boolean` | `hasMessagePriority()`
`boolean` | `hasPersistence()`
`boolean` | `hasProvider()`
`boolean` | `hasResourceProperties()`
`boolean` | `hasSpecifiedExpiry()`
`boolean` | `hasSpecifiedPriority()`
`void` | `setCategory(java.lang.String category)`
`void` | `setExpiry(java.lang.String expiry)`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setMessagePriority(java.lang.String priority)`
`void` | `setPersistence(java.lang.String persistence)`
`void` | `setProvider(WebSphereJMSProvider prov)`
`void` | `setResourceProperties(WebSphereJ2EEResourceProperty[] props)`
`void` | `setSpecifiedExpiry(long specifiedExpiry)`
`void` | `setSpecifiedPriority(int specifiedPriority)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getCategory

    java.lang.String getCategory()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCategory

    void setCategory(java.lang.String category)

### hasCategory

    boolean hasCategory()

### getProvider

    WebSphereJMSProvider getProvider()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setProvider

    void setProvider(WebSphereJMSProvider prov)

### hasProvider

    boolean hasProvider()

### getResourceProperties

    WebSphereJ2EEResourceProperty[] getResourceProperties()
                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setResourceProperties

    void setResourceProperties(WebSphereJ2EEResourceProperty[] props)

### hasResourceProperties

    boolean hasResourceProperties()

### getPersistence

    java.lang.String getPersistence()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPersistence

    void setPersistence(java.lang.String persistence)

### hasPersistence

    boolean hasPersistence()

### getMessagePriority

    java.lang.String getMessagePriority()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMessagePriority

    void setMessagePriority(java.lang.String priority)

### hasMessagePriority

    boolean hasMessagePriority()

### getSpecifiedPriority

    int getSpecifiedPriority()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpecifiedPriority

    void setSpecifiedPriority(int specifiedPriority)

### hasSpecifiedPriority

    boolean hasSpecifiedPriority()

### getExpiry

    java.lang.String getExpiry()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExpiry

    void setExpiry(java.lang.String expiry)

### hasExpiry

    boolean hasExpiry()

### getSpecifiedExpiry

    long getSpecifiedExpiry()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpecifiedExpiry

    void setSpecifiedExpiry(long specifiedExpiry)

### hasSpecifiedExpiry

    boolean hasSpecifiedExpiry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD